ch.qos.logback.core.status

## Class OnErrorConsoleStatusListener

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.status.OnErrorConsoleStatusListener

All Implemented Interfaces:
  ContextAware, LifeCycle, StatusListener

    public class OnErrorConsoleStatusListener
    extends ContextAwareBase

Print all new incoming status messages on the error console (System.err).

Since:
  1.0.8
Author:
  Ceki Gücü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`OnErrorConsoleStatusListener()`

### Method Summary

Methods
`void` `addStatusEvent(Status status)`
`protected java.io.PrintStream` `getPrintStream()` The PrintStream used by derived classes
`long` `getRetrospective()`
`boolean` `isStarted()`
`void` `setRetrospective(long retrospective)`
`void` `start()`
`void` `stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OnErrorConsoleStatusListener

    public OnErrorConsoleStatusListener()

### Method Detail

#### getPrintStream

    protected java.io.PrintStream getPrintStream()

The PrintStream used by derived classes

Returns:

#### addStatusEvent

    public void addStatusEvent(Status status)

Specified by:
  `addStatusEvent` in interface `StatusListener`

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`

#### setRetrospective

    public void setRetrospective(long retrospective)

#### getRetrospective

    public long getRetrospective()

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`

#### isStarted

    public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`